Subject: bug#1502: Acknowledgement (CR/LF Unicode Problem)

From: "Lafleur, Henry" <[email-masked]>
Date: Sat, 6 Dec 2008 11:06:12 -0600

Eli,

I'll be back in my office on Monday. I may be able to get the file before then, but probably not. I e-mailed it to myself at home, but my company blocks .SQL files.

I don't know if this is only with .SQL files or not. Haven't tried it yet. I was trying to figure out what was wrong with my program not thinking that Emacs was the problem. I've used it since 1992 and never had a problem (well, except crashing on the Mac, but that was expected back then).

Also, I run Linux at home and I haven't tried the issue on Linux either.

Thanks,

Henry Lafleur               |    ,__o 
Project Lead                |  _-\_<, 
Canrig Enterprise Solutions | (*)/'(*) 
Fax:    281-774-5640
mailto:[email-masked] 
http://www.canrig.com/ 

-----Original Message-----
From: Eli Zaretskii [mailto:[email-masked]]
Sent: Sat 12/6/2008 2:04 AM
To: Lafleur, Henry; [email-masked]
Cc: [email-masked]
Subject: Re: bug#1502: Acknowledgement (CR/LF Unicode Problem)
 
> Date: Fri, 5 Dec 2008 17:02:49 -0600
> From: "Lafleur, Henry" <[email-masked]>
> Cc: 
> 
> This problem also appears to happen regardless of if I go into hexl-mode
> or not. All I do is open the file (a .SQL file), add a space, and then
> save it. These files have the 3 byte order mark at the beginning of the
> file that Microsoft puts that Emacs doesn't recognize. Don't know if
> that makes a difference.

Does it happen with files that are not .SQL ?

Again, a short example file would help.

-----------------------------------------
CANRIG EMAIL NOTICE - This transmission may be strictly
confidential. If you are not the intended recipient of this
message, you may not disclose, print, copy, or disseminate this
information. If you have received this in error, please reply and
notify the sender (only) and delete the message. Unauthorized
interception of this e-mail is a violation of federal criminal law.
This communication does not reflect an intention by the sender or
the sender's principal to conduct a transaction or make any
agreement by electronic means. Nothing contained in this message or
in any attachment shall satisfy the requirements for a writing, and
nothing contained herein shall constitute a contract or electronic
signature under the Electronic Signatures in Global and National
Commerce Act, any version of the Uniform Electronic Transactions
Act, or any other statute governing electronic transactions.